summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAaron Merey <amerey@redhat.com>2024-02-29 20:56:12 -0500
committerAaron Merey <amerey@redhat.com>2024-02-29 20:56:12 -0500
commit45bcddfdaca0d23b7521e537e93d2b5dbfb9b3d8 (patch)
tree0cf044bb3395be29db21437731b9d24598fbd2c2
parentc94a97a2a9d75d224bd2c31e9a33c90ec6e05444 (diff)
skip if objcopy doesn't workupstream/users/amerey/try-no-objcopy
-rwxr-xr-xtests/run-getsrc-die.sh35
-rw-r--r--tests/testfile-inlines-no-aranges.bz2bin2673 -> 0 bytes
-rw-r--r--tests/testfile-lex-inlines-no-aranges.bz2bin2486 -> 0 bytes
-rw-r--r--tests/testfile-no-aranges.bz2bin7918 -> 0 bytes
4 files changed, 21 insertions, 14 deletions
diff --git a/tests/run-getsrc-die.sh b/tests/run-getsrc-die.sh
index 40f62480..6740e5d9 100755
--- a/tests/run-getsrc-die.sh
+++ b/tests/run-getsrc-die.sh
@@ -21,21 +21,18 @@
# Output/files/lines matched should equal what is done through addr2line
# which uses dwfl_module_getsrc. This test uses dwarf_addrdie and
# dwarf_getsrc_die
-testfiles testfile testfile-inlines testfile-no-aranges
-testfiles testfile-lex-inlines testfile-inlines-no-aranges
-tempfiles testfile-lex-inlines-no-aranges good.out getsrc_die.out
+testfiles testfile testfile-inlines testfile-lex-inlines
+tempfiles testfile-no-aranges testfile-inlines-no-aranges getsrc_die.out
+tempfiles testfile-lex-inlines-no-aranges good1.out good2.out good3.out
-cat > good.out <<\EOF
+cat > good1.out <<\EOF
/home/drepper/gnu/new-bu/build/ttt/f.c:3
/home/drepper/gnu/new-bu/build/ttt/b.c:4
EOF
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile 0x08048468 0x0804845c
+cat good1.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile 0x08048468 0x0804845c
-# Each test should also pass with no .debug_aranges present.
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-no-aranges 0x08048468 0x0804845c
-
-cat > good.out <<\EOF
+cat > good2.out <<\EOF
/tmp/x.cpp:5
/tmp/x.cpp:6
/tmp/x.cpp:10
@@ -48,17 +45,27 @@ cat > good.out <<\EOF
/tmp/x.cpp:5
EOF
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-inlines 0x00000000000005a0 0x00000000000005a1 0x00000000000005b0 0x00000000000005b1 0x00000000000005c0 0x00000000000005d0 0x00000000000005e0 0x00000000000005e1 0x00000000000005f1 0x00000000000005f2
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-inlines-no-aranges 0x00000000000005a0 0x00000000000005a1 0x00000000000005b0 0x00000000000005b1 0x00000000000005c0 0x00000000000005d0 0x00000000000005e0 0x00000000000005e1 0x00000000000005f1 0x00000000000005f2
+cat good2.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-inlines 0x00000000000005a0 0x00000000000005a1 0x00000000000005b0 0x00000000000005b1 0x00000000000005c0 0x00000000000005d0 0x00000000000005e0 0x00000000000005e1 0x00000000000005f1 0x00000000000005f2
-cat > good.out <<\EOF
+cat > good3.out <<\EOF
/tmp/x.cpp:5
/tmp/x.cpp:5
/tmp/x.cpp:5
/tmp/x.cpp:5
EOF
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-lex-inlines 0x0000000000000680 0x0000000000000681 0x0000000000000690 0x0000000000000691
-cat good.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-lex-inlines-no-aranges 0x0000000000000680 0x0000000000000681 0x0000000000000690 0x0000000000000691
+cat good3.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-lex-inlines 0x0000000000000680 0x0000000000000681 0x0000000000000690 0x0000000000000691
+
+# Each test should also pass with no .debug_aranges present. If objcopy cannot
+# strip the testfiles then skip the remaining tests.
+objcopy --remove-section .debug_aranges testfile testfile-no-aranges || exit 0
+objcopy --remove-section .debug_aranges testfile-inlines testfile-inlines-no-aranges || exit 0
+objcopy --remove-section .debug_aranges testfile-lex-inlines testfile-lex-inlines-no-aranges || exit 0
+
+cat good1.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-no-aranges 0x08048468 0x0804845c
+
+cat good2.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-inlines-no-aranges 0x00000000000005a0 0x00000000000005a1 0x00000000000005b0 0x00000000000005b1 0x00000000000005c0 0x00000000000005d0 0x00000000000005e0 0x00000000000005e1 0x00000000000005f1 0x00000000000005f2
+
+cat good3.out | testrun_compare ${abs_top_builddir}/tests/getsrc_die testfile-lex-inlines-no-aranges 0x0000000000000680 0x0000000000000681 0x0000000000000690 0x0000000000000691
exit 0
diff --git a/tests/testfile-inlines-no-aranges.bz2 b/tests/testfile-inlines-no-aranges.bz2
deleted file mode 100644
index ab66b17e..00000000
--- a/tests/testfile-inlines-no-aranges.bz2
+++ /dev/null
Binary files differ
diff --git a/tests/testfile-lex-inlines-no-aranges.bz2 b/tests/testfile-lex-inlines-no-aranges.bz2
deleted file mode 100644
index 4ebc4522..00000000
--- a/tests/testfile-lex-inlines-no-aranges.bz2
+++ /dev/null
Binary files differ
diff --git a/tests/testfile-no-aranges.bz2 b/tests/testfile-no-aranges.bz2
deleted file mode 100644
index a01db39c..00000000
--- a/tests/testfile-no-aranges.bz2
+++ /dev/null
Binary files differ